<form rxapForm>
  <div fxLayout="column" fxLayoutGap="4px">
    <mat-form-field data-cy="form.create-user.username" fxFlex="nogrow">
      <mat-label i18n>Username</mat-label>
      <input
        formControlName="username"
        i18n-placeholder
        matInput
        placeholder="Enter username"
        rxapRequired
        type="text"
      />
      <mat-error
        *rxapControlError="let error; key: 'required'"
        data-cy="error.required"
      >
        <ng-container i18n>The username is required</ng-container>
      </mat-error
      >
    </mat-form-field>
    <mat-form-field data-cy="form.create-user.password" fxFlex="nogrow">
      <mat-label i18n>Password</mat-label>
      <input
        formControlName="password"
        i18n-placeholder
        matInput
        placeholder="Enter password"
        rxapRequired
        type="text"
      />
      <mat-error
        *rxapControlError="let error; key: 'required'"
        data-cy="error.required"
      >
        <ng-container i18n>The password is required</ng-container>
      </mat-error
      >
    </mat-form-field>
    <mat-form-field data-cy="form.create-user.role" fxFlex="nogrow">
      <mat-label i18n>Role</mat-label>
      <mat-select formControlName="role" rxapCompareWith rxapRequired>
        <mat-option *rxapInputSelectOptions="let option" [value]="option.value">
          {{ option.display }}
        </mat-option>
      </mat-select>
      <mat-error
        *rxapControlError="let error; key: 'required'"
        data-cy="error.required"
      >
        <ng-container i18n>Please enter a value</ng-container>
      </mat-error
      >
    </mat-form-field>
  </div>
  <ng-template let-windowRef rxapFormWindowFooter>
    <rxap-form-controls
      (close)="windowRef.complete()"
      (submitted)="windowRef.next($event)"
    ></rxap-form-controls>
  </ng-template>
</form>
